<div class="image-sphere">
  {{#if @picture.picture}}
    {{#if this.isLoading}}
      <div class="spinner">
        <FaIcon @icon="spinner" @spin={{true}} />
      </div>
    {{/if}}

    {{#if @picture.is360}}
      <canvas class="picture-360-view {{if this.isLoading "is-loading"}}" {{did-insert this.create360Viewer}} ...attributes></canvas>
    {{/if}}
  {{/if}}
</div>